# TODO:
#	- prevent linking pspcl6 and pcl6 with expat
#	- fix GS_LIB_DEFAULT path to gs_init.ps (pspcl6)
#	  how about GS_DOT_VERSION?
#	- rename urwfonts subpackage to font-TTF-urw
#	- create alternate Type1 font subpackage:
#	  http://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/GhostPCL/urwfonts_t1-1.40.tar.bz2

%define	urwfonts_ver	1.41

Summary:	PostScript, PDF and XPS interpreter and renderer
Summary(pl.UTF-8):	Interpreter i renderer PostScriptu, PDF oraz XPS
Name:		ghostpcl
Version:	1.54
Release:	9
License:	GPL v2
Group:		Applications/Graphics
#Source0:	http://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/ghostpdl/ghostpdl-%{version}.tar.bz2
#Source0:	http://www.ctan.org/get/support/ghostscript/GPL/ghostpdl/ghostpdl-%{version}.tar.bz2
Source0:	http://ghostscript.com/releases/ghostpdl-%{version}.tar.bz2
# Source0-md5:	228f96df51d192b95bc4d9340015aa9e
#Source1:	http://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/GhostPCL/urwfonts-%{urwfonts_ver}.tar.bz2
Source1:	http://www.ctan.org/get/nonfree/support/ghostscript/AFPL/GhostPCL/urwfonts-%{urwfonts_ver}.tar.bz2
# Source1-md5:	6d65230fa5e9783a0b5942b55dc5219f
Patch0:		%{name}-fonts_locations.patch
Patch1:		%{name}-make.patch
Patch2:		%{name}-format-security.patch
URL:		http://www.artifex.com/downloads/
#BuildRequires:	XFree86-devel
BuildRequires:	expat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GhostPCL is Artifex Software's implementation of the PCL-5(TM) and
PCL-XL(TM) family of page description languages. For more information
please see the documentation included with the source package.

%description -l pl.UTF-8
GhostPCL jest implementacją języków z rodzin PCL-5(TM) i PCL-XL(TM)
opisujących stronę. Więcej informacji znajduje się w dokumentacji
załączonej do pakietu.

%package urwfonts
Summary:	URW fonts in TTF format for GhostPCL
Summary(pl.UTF-8):	Fonty URW w formacie TTF dla GhostPCL-a
License:	Alladin Free Public License
Group:		Fonts
Requires(post,postun):	fontpostinst

%description urwfonts
URW fonts in TTF format for GhostPCL.

%description urwfonts -l pl.UTF-8
Fonty URW w formacie TTF dla GhostPCL-a.

%prep
%setup -q -n ghostpdl-%{version} -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} -j1 \
	CC="%{__cc}" \
	XCFLAGS="%{rpmcflags}" \
	XLDFLAGS="%{rpmldflags}" \
	SHARE_JPEG=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/fonts/TTF}
install language_switch/obj/pspcl6 main/obj/pcl6 tools/pcl2pdfwr xps/obj/gxps $RPM_BUILD_ROOT%{_bindir}
install urwfonts*/*.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/TTF

%clean
rm -rf $RPM_BUILD_ROOT

%post urwfonts
fontpostinst TTF

%files
%defattr(644,root,root,755)
%doc README.txt doc/*
%attr(755,root,root) %{_bindir}/*

%files urwfonts
%defattr(644,root,root,755)
%{_datadir}/fonts/TTF
%changelog
* Tue Oct 29 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghostpcl.git;a=log;h=master

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a07a01c
- release 9 (by relup.sh)

* Sun Nov 18 2012 Jan Rękorajski <baggins@pld-linux.org> 5629b0e
- fix building with -Wformat-security
- rel 8

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 981f8ec
- rebuild with expat 2.1.0
- release 7 (by relup.sh)

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 7b1820b
- release 6 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 2e5301f
- pass cc, rpmldflags
- release 5 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b78af8
- release 4

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> bab0a17
- release 3

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 0879a23
- BR: xorg-lib-libXext-devel, xorg-lib-libXt-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c1d95f
- release 2

* Tue Sep 08 2009 Tomasz Pala <gotar@pld-linux.org> 8921e1c
- upgraded to 1.54

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7db87e8
- release 2

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> 0da936e
- note on XPS support in summaries,
- fonts don't require main package, fixed group,
- package more binaries,
- added TODOs

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> 2eaaf28
- upgraded to 1.52 (new Source0),
- build pspcl6 and gxps,
- use shared libpng, libjpeg and expat (the latter one only for gxps), added
  appropriate BRs (NOTE: pspcl6 and pcl6 shouldn't link to expat!)
- removed not working OPTFLAGS, pass flags through XCFLAGS, XLDFLAGS doesn't
  work either,
- put TTF fonts in global fonts directory.

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> b16b36c
- use only system-wide font directories

* Fri Apr 25 2008 Tomasz Pala <gotar@pld-linux.org> b98b587
- OPTFLAGS doesn't work, use shared png, jpeg and expat (for xps)

* Wed Jan 30 2008 pascalek <pascalek@pld-linux.org> 8a9b9bb
- updated for 1.51

* Wed Jan 30 2008 pascalek <pascalek@pld-linux.org> 903f02a
- updated to 1.51

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49ec31e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1330c27
- converted to UTF-8

* Tue Jan 03 2006 Jakub Bogusz <qboosh@pld-linux.org> c60c341
- noted download URL

